prototypes:
  standard:
    formElementsDefinition:
      MultiCheckbox:
        formEditor:
          editors:
            100:
              identifier: header
              templateName: Inspector-FormElementHeaderEditor
            200:
              identifier: label
              templateName: Inspector-TextEditor
              label: formEditor.elements.FormElement.editor.label.label
              propertyPath: label
            230:
              identifier: elementDescription
              templateName: Inspector-TextEditor
              label: formEditor.elements.FormElement.editor.elementDescription.label
              propertyPath: properties.elementDescription
            300:
              identifier: options
              templateName: Inspector-PropertyGridEditor
              label: formEditor.elements.SelectionMixin.editor.options.label
              propertyPath: properties.options
              propertyValidators:
                10: NotEmpty
              isSortable: true
              enableAddRow: true
              enableDeleteRow: true
              removeLastAvailableRowFlashMessageTitle: formEditor.elements.SelectionMixin.editor.options.removeLastAvailableRowFlashMessageTitle
              removeLastAvailableRowFlashMessageMessage: formEditor.elements.SelectionMixin.editor.options.removeLastAvailableRowFlashMessageMessage
              shouldShowPreselectedValueColumn: multiple
              multiSelection: true
            600:
              identifier: autocomplete
              templateName: Inspector-SingleSelectEditor
              label: formEditor.elements.FormElement.editor.autocomplete.label
              propertyPath: properties.fluidAdditionalAttributes.autocomplete
              doNotSetIfPropertyValueIsEmpty: true
              selectOptions:
                10:
                  value: ''
                  label: formEditor.elements.FormElement.editor.autocomplete.option.none
                15:
                  value: 'off'
                  label: formEditor.elements.FormElement.editor.autocomplete.option.off
                20:
                  value: 'honorific-prefix'
                  label: formEditor.elements.FormElement.editor.autocomplete.option.honorific-prefix
                30:
                  value: 'honorific-suffix'
                  label: formEditor.elements.FormElement.editor.autocomplete.option.honorific-suffix
                70:
                  value: 'language'
                  label: formEditor.elements.FormElement.editor.autocomplete.option.language
            700:
              identifier: gridColumnViewPortConfiguration
              templateName: Inspector-GridColumnViewPortConfigurationEditor
              label: formEditor.elements.FormElement.editor.gridColumnViewPortConfiguration.label
              configurationOptions:
                viewPorts:
                  10:
                    viewPortIdentifier: xs
                    label: formEditor.elements.FormElement.editor.gridColumnViewPortConfiguration.xs.label
                  20:
                    viewPortIdentifier: sm
                    label: formEditor.elements.FormElement.editor.gridColumnViewPortConfiguration.sm.label
                  30:
                    viewPortIdentifier: md
                    label: formEditor.elements.FormElement.editor.gridColumnViewPortConfiguration.md.label
                  40:
                    viewPortIdentifier: lg
                    label: formEditor.elements.FormElement.editor.gridColumnViewPortConfiguration.lg.label
                  50:
                    viewPortIdentifier: xl
                    label: formEditor.elements.FormElement.editor.gridColumnViewPortConfiguration.xl.label
                  60:
                    viewPortIdentifier: xxl
                    label: formEditor.elements.FormElement.editor.gridColumnViewPortConfiguration.xxl.label
                numbersOfColumnsToUse:
                  label: formEditor.elements.FormElement.editor.gridColumnViewPortConfiguration.numbersOfColumnsToUse.label
                  propertyPath: 'properties.gridColumnClassAutoConfiguration.viewPorts.{@viewPortIdentifier}.numbersOfColumnsToUse'
                  fieldExplanationText: formEditor.elements.FormElement.editor.gridColumnViewPortConfiguration.numbersOfColumnsToUse.fieldExplanationText
            800:
              identifier: requiredValidator
              templateName: Inspector-RequiredValidatorEditor
              label: formEditor.elements.FormElement.editor.requiredValidator.label
              validatorIdentifier: NotEmpty
              configurationOptions:
                validationErrorMessage:
                  label: formEditor.elements.FormElement.editor.requiredValidator.validationErrorMessage.label
                  propertyPath: properties.validationErrorMessages
                  fieldExplanationText: formEditor.elements.FormElement.editor.requiredValidator.validationErrorMessage.fieldExplanationText
                  errorCodes:
                    10: 1221560910
                    20: 1221560718
                    30: 1347992400
                    40: 1347992453
            900:
              identifier: validators
              templateName: Inspector-ValidatorsEditor
              label: formEditor.elements.MultiSelectionMixin.editor.validators.label
              selectOptions:
                10:
                  value: ''
                  label: formEditor.elements.MultiSelectionMixin.editor.validators.EmptyValue.label
                20:
                  value: Count
                  label: formEditor.elements.MultiSelectionMixin.editor.validators.Count.label
            9999:
              identifier: removeButton
              templateName: Inspector-RemoveElementEditor
          predefinedDefaults:
            properties:
              options: { }
          propertyCollections:
            validators:
              10:
                identifier: Count
                editors:
                  100:
                    identifier: header
                    templateName: Inspector-CollectionElementHeaderEditor
                    label: formEditor.elements.MultiSelectionMixin.validators.Count.editor.header.label
                  200:
                    identifier: minimum
                    templateName: Inspector-TextEditor
                    label: formEditor.elements.MinimumMaximumEditorsMixin.editor.minimum.label
                    propertyPath: options.minimum
                    propertyValidators:
                      10: Integer
                  300:
                    identifier: maximum
                    templateName: Inspector-TextEditor
                    label: formEditor.elements.MinimumMaximumEditorsMixin.editor.maximum.label
                    propertyPath: options.maximum
                    propertyValidators:
                      10: Integer
                  400:
                    identifier: validationErrorMessage
                    templateName: Inspector-ValidationErrorMessageEditor
                    label: formEditor.elements.MultiSelectionMixin.validators.Count.editor.validationErrorMessage.label
                    fieldExplanationText: formEditor.elements.MultiSelectionMixin.validators.Count.editor.validationErrorMessage.fieldExplanationText
                    errorCodes:
                      10: 1475002976
                      20: 1475002994
                    propertyPath: properties.validationErrorMessages
                  9999:
                    identifier: removeButton
                    templateName: Inspector-RemoveElementEditor
          label: formEditor.elements.MultiCheckbox.label
          description: formEditor.elements.MultiCheckbox.description
          group: select
          groupSorting: 400
          iconIdentifier: form-multi-checkbox
        implementationClassName: TYPO3\CMS\Form\Domain\Model\FormElements\GenericFormElement
        properties:
          containerClassAttribute: 'input checkbox'
          elementClassAttribute: ''
          elementErrorClassAttribute: error
        variants:
          -
            identifier: template-variant
            condition: 'getRootFormProperty("renderingOptions.templateVariant") == "version2"'
            properties:
              renderFieldset: 1
              fieldsetClassAttribute: 'form-element form-element-radio mb-3'
              containerClassAttribute: 'form-check mb-2'
              elementClassAttribute: form-check-input
              elementErrorClassAttribute: ~
              labelClassAttribute: form-check-wrapping-label
              labelTextClassAttribute: form-check-label
              legendVisuallyHidden: 0
    formEditor:
      formEditorPartials:
        FormElement-MultiCheckbox: Stage/SelectTemplate
